
Foreman - Feature #985

no permission corresponds to 'Run Puppet' feature

06/14/2011 01:43 PM - Adam Heinz

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Puppet integration   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

<amh-mw> What permissions does a role need to be able to use the 'Run Puppet' feature?  I can use the feature as admin, but I'm

setting up a host-restricted account for QA.

<ohadlevy> amh-mw: hmm... it seems there is no specific permission for it :(

<ohadlevy> amh-mw: which means it will require admin rights :(

<ohadlevy> amh-mw: can you open a new feature request?

<ohadlevy> amh-mw: pikelly would love to fix it for you :)

Related issues:

Related to Foreman - Bug #2202: Add new permissions for actions currently mis... Closed 02/12/2013

History

#1 - 05/29/2012 01:43 PM - Brian Gupta

- Assignee deleted (Paul Kelly)

#2 - 03/04/2013 03:35 AM - Dominic Cleal

- Status changed from New to Resolved

- % Done changed from 0 to 100

Fixed via #2202.

#3 - 03/04/2013 03:37 AM - Ohad Levy

- Target version set to 1.2.0
